Bug 895812 - [abrt] firewall-config-0.2.11-2.fc18: firewall-config:796:onChangeDefaultZone:NameError: global name 'gtk' is not defined
Summary: [abrt] firewall-config-0.2.11-2.fc18: firewall-config:796:onChangeDefaultZone...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1b04056c9d9ddf88f3bfd3ce3d6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-16 03:26 UTC by aouthred
Modified: 2013-02-01 16:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-01 16:34:39 UTC


Attachments (Terms of Use)
File: backtrace (557 bytes, text/plain)
2013-01-16 03:26 UTC, aouthred
no flags Details
File: environ (1.30 KB, text/plain)
2013-01-16 03:26 UTC, aouthred
no flags Details

Description aouthred 2013-01-16 03:26:13 UTC
Description of problem:
Clicked on menu item in firewall-config options menu

Version-Release number of selected component:
firewall-config-0.2.11-2.fc18

Additional info:
cmdline:        /usr/bin/python -Es /usr/bin/firewall-config
core_backtrace: 4cd51621f0d04979de57d791517d7394cfdf9ffa 0x31c onChangeDefaultZone /usr/bin/firewall-config -
executable:     /usr/bin/firewall-config
kernel:         3.8.0-rc3-61700-g3152ba0
uid:            500

Truncated backtrace:
firewall-config:796:onChangeDefaultZone:NameError: global name 'gtk' is not defined

Traceback (most recent call last):
  File "/usr/bin/firewall-config", line 796, in onChangeDefaultZone
    selection.set_mode(gtk.SelectionMode.NONE)
NameError: global name 'gtk' is not defined

Local variables in innermost frame:
zones: []
self: <__main__.FirewallConfig object at 0x2ac7690>
selection: <TreeSelection object at 0x2e9c5f0 (GtkTreeSelection at 0x2c62a30)>
default_zone: 'public'
args: (<ImageMenuItem object at 0x2e9c500 (GtkImageMenuItem at 0x2c0fe70)>,)

Comment 1 aouthred 2013-01-16 03:26:17 UTC
Created attachment 679310 [details]
File: backtrace

Comment 2 aouthred 2013-01-16 03:26:20 UTC
Created attachment 679311 [details]
File: environ

Comment 4 Fedora Update System 2013-01-22 19:19:53 UTC
firewalld-0.2.12-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firewalld-0.2.12-2.fc18

Comment 5 Fedora Update System 2013-01-23 16:16:12 UTC
Package firewalld-0.2.12-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.2.12-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1342/firewalld-0.2.12-2.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-02-01 16:34:41 UTC
firewalld-0.2.12-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.